Read Charge

This function retrieves a charge object. Specify the charge's unique chargeId in your request.


Response

{
  "customerId": 493,
  "invoiceId": 228,
  "invoiceNumber": 75,
  "quantity": 1,
  "unitPrice": 9.99,
  "amount": 6.33,
  "name": "Subscription Fee",
  "description": "Monthly fee for Basic plan",
  "earnings": [
    {
      "amount": 0.33,
      "description": null,
      "customerId": 493,
      "effectiveTimestamp": "2023-12-11T15:08:37",
      "reference": null,
      "id": 767,
      "uri": null
    }
  ],
  "earningSchedules": [],
  "earningDiscountSchedules": [],
  "earningsByMonth": [
    {
      "performanceObligation": "Charge",
      "monthAndYear": "Dec 11, 2023",
      "deferredRevenue": 6.33,
      "earnedRevenue": 0,
      "effectiveDate": "2023-12-11T10:08:37"
    },
    {
      "performanceObligation": "Revenue Summary (up to)",
      "monthAndYear": "Dec 11, 2023",
      "deferredRevenue": -0.33,
      "earnedRevenue": 0.33,
      "effectiveDate": "2023-12-11T10:08:37"
    }
  ],
  "discountsByMonth": [],
  "reverseCharges": [],
  "transactionType": "Charge",
  "effectiveTimestamp": "2023-12-11T15:08:37",
  "proratedUnitPrice": 6.33,
  "startServiceDate": "2023-12-11T00:00:00",
  "endServiceDate": "2023-12-29T00:00:00",
  "rangeQuantity": null,
  "productName": "Subscription Fee",
  "productCode": "subscriptionfee",
  "discounts": [],
  "taxes": [],
  "glCode": "",
  "subscription": {
    "id": 363,
    "planName": "Basic Plan",
    "planDescription": "Recurring monthly fee and one-time startup fee.",
    "planCode": "basicplan",
    "reference": null,
    "subscriptionProducts": [
      {
        "id": 612,
        "productCode": "basicsubscriptionfee",
        "productName": "Subscription Fee",
        "isIncluded": false,
        "price": 0,
        "priceOverride": null,
        "discount": null,
        "customFields": null
      }
    ]
  },
  "ChargeReversals": [],
  "earningDetails": {
    "earningStartDate": "2023-12-11T15:08:37",
    "earningEndDate": "2023-12-30T05:00:00",
    "earningTimingInterval": "Daily",
    "earningTimingType": "Start of Interval",
    "isEarnImmediately": false,
    "earningObligationType": "Time Based",
    "chargeLastEarning": {
      "earningId": 767,
      "createdTimestamp": "2023-12-11T15:08:37",
      "modifiedTimestamp": "2023-12-11T15:08:39.96",
      "nextEarningTimestamp": "2023-12-12T05:00:00",
      "earningCompletedTimestamp": null,
      "earningIntervals": 19,
      "earningIntervalsPast": 1,
      "id": 768,
      "uri": null
    },
    "id": 0,
    "uri": null
  },
  "aggregatedTotals": {
    "unearnedAmount": 6,
    "earnedAmount": 0.33,
    "unearnedDiscountAmount": 0,
    "earnedDiscountAmount": 0,
    "remainingReverseAmount": 6.33,
    "reversedAmount": 0,
    "reversedDiscountAmount": 0,
    "reversedTaxAmount": 0,
    "reversedNetAmount": 0,
    "taxableAmount": 6.33,
    "totalTaxes": 0,
    "totalDiscounts": 0,
    "scheduledEarningAmount": 0,
    "scheduledEarningDiscountAmount": 0,
    "id": 0,
    "uri": null
  },
  "milestonesRemaining": 0,
  "quickBooksClassId": null,
  "id": 768,
  "uri": "https://secure.fusebill.com/v1/Charges/768"
}
{
    "ErrorId": 0,
    "HttpStatusCode": 404,
    "Errors": [
        {
            "Key": "Api Error",
            "Value": "Charge with id 2 not found.
        }
    ]
}
Path Params
integer
required

This is the id value which uniquely identifies a Charge record in the StaxBill system. This value is unique to each charge.

Response
200
Language
Credentials
Header
LoadingLoading…